<template>
  <daily-chart :population="population"></daily-chart>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import DailyChart from '~/components/shared/DailyChart'

export default defineComponent({
  components: { DailyChart },
   setup() {
    const store = useBuilding()
    return { store }
  },
  computed: {
    population() {
      const items = this.store.getPeopleInAreaByDaily(this.store.selectedAreaId)
      return items.map(item => ({ x: item.time, y: item.total }))
    }
  },
})
</script>
